| mwcontam

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Find weights common to multiple molecular weights files

## Description

mwcontam finds molecular weights that are common between a set of mass spectrometry result files at a specified ppm tolerance. Such molecular weights are usually a form of contamination resulting from autolysis of a protease, degradation of the matrix or presence of keratin from the sample preparer. The input is a comma-separated list of files each containing a list of experimental molecular weights. The output is a file with a list of the molecular weights common to all files.

## Usage

Here is a sample session with mwcontam

    % mwcontam
    Find weights common to multiple molecular weights files
    Molecular weights file list: ../data/mw2.dat,mw3.dat
    Ppm tolerance [50.0]:
    Molecular weights output file [outfile.mwcontam]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

    Find weights common to multiple molecular weights files
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-files]             filelist   Molecular weights file list
       -tolerance          float      [50.0] Ppm tolerance (Any numeric value)
      [-outfile]           outfile    [*.mwcontam] Molecular weights output file

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-files] (Parameter 1) | filelist | Molecular weights file list | Comma-separated file list | comma-separated file list
-tolerance | float | Ppm tolerance | Any numeric value | 50.0
[-outfile] (Parameter 2) | outfile | Molecular weights output file | Output file | <*>.mwcontam
Additional (Optional) qualifiers
(none)
Advanced (Unprompted) qualifiers
(none)
Associated qualifiers
"-outfile" associated outfile qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

### Input files for usage example

### File: mw1.dat

    20.0
    33.0
    67.0
    128.0
    415.0
    999.0

### File: mw2.dat

    13.0
    41.0
    67.0
    415.0
    846.0
    781.0

### File: mw3.dat

    3.0
    18.0
    67.0
    124.0
    197.0
    236.0
    415.0
    587.0
    632.0

The input is a comma-separated list of files containing simple list of experimental molecular weights.

There should be one weight per line.

Comments in the data file start with a '#' character in the first column.

Blank lines are ignored.

## Output file format

The output is a list of the molecular weights common to all files.

### Output files for usage example

### File: outfile.mwcontam

    67.000
    415.000

## Data files

mwcontam uses no data files.

The output of mwcontam, with minimal editing, can be added to the data file for the mwfilter program ('Emwfilter.dat'). For example you might like to fetch 'Emwfilter.dat' using embossdata (as described in the mwfilter documentation) and edit it to include the lines:

    # data produced from the program mwcontam
    mwcontam	67.000
    mwcontam	415.000

## Notes

The output of mwcontam, with minimal editing, can be added to the data file for the mwfilter program (`Emwfilter.dat`), which will then remove these weights from its input file of molecular weights. For example you might like to fetch `Emwfilter.dat` using embossdata (as described in the mwfilter documentation) and edit it to include the lines: # data produced from the program mwcontam mwcontam 67.000 mwcontam 415.000

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
backtranambig | Back-translate a protein sequence to ambiguous nucleotide sequence
backtranseq | Back-translate a protein sequence to a nucleotide sequence
compseq | Calculate the composition of unique words in sequences
emowse | Search protein sequences by digest fragment molecular weight
freak | Generate residue/base frequency table or plot
mwfilter | Filter noisy data from molecular weights file
oddcomp | Identify proteins with specified sequence word composition
pepdigest | Report on protein proteolytic enzyme or reagent cleavage sites
pepinfo | Plot amino acid properties of a protein sequence in parallel
pepstats | Calculate statistics of protein properties
wordcount | Count and extract unique words in molecular sequence(s)

## Author(s)

Alan Bleasby
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

Written (July 2002) - Alan Bleasby.

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None